Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Wine not installing

  1. #1
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Wine not installing

    I wonder if anybody can advise on how to get Wine (or CrossOver) working in the latest Tumbleweed (KDE Plasma) OS. I tried to install CrossOver from rpm-file with the followin error message
    Code:
    error: Failed dependencies:        libICE.so.6 is needed by crossover-16.2.5-1.i386
            libSM.so.6 is needed by crossover-16.2.5-1.i386
            libXi.so.6 is needed by crossover-16.2.5-1.i386
            libfreetype.so.6 is needed by crossover-16.2.5-1.i386
            libGL.so.1 is needed by crossover-16.2.5-1.i386
            libXrandr.so.2 is needed by crossover-16.2.5-1.i386
    When trying to install from the bin-package the message is
    Code:
       sh -c "zypper install Mesa-libGL1-32bit fontconfig-32bit freetype2-32bit libXcomposite1-32bit libXi6-32bit libXinerama1-32bit libXrandr2-32bit libgphoto2-6-32bit libgsm1-32bit liblcms2-2-32bit libopenal1-32bit libpng12-0-32bit libpulse0-32bit libv4l-32bit libxslt1-32bit sane-backends-32bit"
    
    Trying with sudo...
    [sudo] password for simo: 
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    Package 'fontconfig-32bit' not found.
    Package 'libXcomposite1-32bit' not found.
    Package 'libXi6-32bit' not found.
    Package 'libXinerama1-32bit' not found.
    Package 'libXrandr2-32bit' not found.
    Package 'libgphoto2-6-32bit' not found.
    Package 'libgsm1-32bit' not found.
    Package 'liblcms2-2-32bit' not found.
    Package 'libopenal1-32bit' not found.
    Package 'libpng12-0-32bit' not found.
    Package 'libpulse0-32bit' not found.
    Package 'libv4l-32bit' not found.
    Package 'libxslt1-32bit' not found.
    Package 'sane-backends-32bit' not found.
    'freetype2-32bit' not found in package names. Trying capabilities.
    No provider of 'freetype2-32bit' found.
    Resolving package dependencies...
    Wine does not install, the missing file is libcapi20.so.6 and freetype.

  2. #2

    Default Re: Wine not installing

    Quote Originally Posted by SimoKJ View Post
    I wonder if anybody can advise on how to get Wine (or CrossOver) working in the latest Tumbleweed (KDE Plasma) OS. I tried to install CrossOver from rpm-file with the followin error message
    Try to install it with zypper instead of rpm, that would automatically pull in required packages:
    Code:
    sudo zypper in xxx.rpm
    When trying to install from the bin-package the message is
    Code:
       sh -c "zypper install Mesa-libGL1-32bit fontconfig-32bit freetype2-32bit libXcomposite1-32bit libXi6-32bit libXinerama1-32bit libXrandr2-32bit libgphoto2-6-32bit libgsm1-32bit liblcms2-2-32bit libopenal1-32bit libpng12-0-32bit libpulse0-32bit libv4l-32bit libxslt1-32bit sane-backends-32bit"
    
    Trying with sudo...
    [sudo] password for simo: 
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    Package 'fontconfig-32bit' not found.
    Package 'libXcomposite1-32bit' not found.
    Package 'libXi6-32bit' not found.
    Package 'libXinerama1-32bit' not found.
    Package 'libXrandr2-32bit' not found.
    Package 'libgphoto2-6-32bit' not found.
    Package 'libgsm1-32bit' not found.
    Package 'liblcms2-2-32bit' not found.
    Package 'libopenal1-32bit' not found.
    Package 'libpng12-0-32bit' not found.
    Package 'libpulse0-32bit' not found.
    Package 'libv4l-32bit' not found.
    Package 'libxslt1-32bit' not found.
    Package 'sane-backends-32bit' not found.
    'freetype2-32bit' not found in package names. Trying capabilities.
    No provider of 'freetype2-32bit' found.
    Resolving package dependencies...
    Hm, those packages are definitely available.
    What's your repo list?
    Code:
    zypper lr -d
    Are you actually running a 64bit system? Or rather 32bit? (would explain why the -32bit packages are not found... )
    Code:
    uname -a
    Wine does not install, the missing file is libcapi20.so.6 and freetype.
    How/where from are you trying to install wine?
    It's included in the distribution, that package should install fine.
    Code:
    sudo zypper in wine

  3. #3
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Re: Wine not installing

    Quote Originally Posted by wolfi323 View Post
    Try to install it with zypper instead of rpm, that would automatically pull in required packages:
    Code:
    sudo zypper in xxx.rpm

    Hm, those packages are definitely available.
    What's your repo list?
    Code:
    zypper lr -d
    Are you actually running a 64bit system? Or rather 32bit? (would explain why the -32bit packages are not found... )
    Code:
    uname -a

    How/where from are you trying to install wine?
    It's included in the distribution, that package should install fine.
    Code:
    sudo zypper in wine
    Repo list is:
    Code:
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    # | Alias               | Name                                        | Enabled | GPG Check | Refresh | Priority | Typ
    e   | URI                                                                                  | Service
    --+---------------------+---------------------------------------------+---------+-----------+---------+----------+----
    ----+--------------------------------------------------------------------------------------+--------
    1 | Packman             | Packman                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/                  |         
    2 | Wine                | Wine                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Tumbleweed/       |         
    3 | home_KAMiKAZOW      | KAMiKAZOW's Home Project (openSUSE_Factory) | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/home:/KAMiKAZOW/openSUSE_Factory/          |         
    4 | home_basex_opensuse | BaseX openSUSE Build (openSUSE_Tumbleweed)  | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/home:/basex:/opensuse/openSUSE_Tumbleweed/ |         
    5 | openSUSE-20170328-0 | openSUSE-20170328-0                         | No      | ----      | ----    |   99     | yas
    t2  | http://download.opensuse.org/tumbleweed/repo/oss/                                    |         
    6 | repo-debug          | openSUSE-Tumbleweed-Debug                   | Yes     | (r ) Yes  | Yes     |   99     | yas
    t2  | http://download.opensuse.org/debug/tumbleweed/repo/oss/                              |         
    7 | repo-non-oss        | openSUSE-Tumbleweed-Non-Oss                 | Yes     | (r ) Yes  | Yes     |   99     | yas
    t2  | http://download.opensuse.org/tumbleweed/repo/non-oss/                                |         
    8 | repo-source         | openSUSE-Tumbleweed-Source                  | No      | ----      | ----    |   99     | NON
    E   | http://download.opensuse.org/source/tumbleweed/repo/oss/                             |         
    9 | repo-update         | openSUSE-Tumbleweed-Update                  | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/update/tumbleweed/      
    
    Sure it's a 64bit system. CrossOver should run also on that.
    Code:
    simo@linux-7cb0:/> uname -a
    Linux linux-7cb0 4.11.7-1-default #1 SMP PREEMPT Sat Jun 24 07:54:41 UTC 2017 (ddd09a5) x86_64 x86_64 x86_64 GNU/Linux
    simo@linux-7cb0:/> 
    
    
    This is what I get for "sudo zypper in wine"
    Code:
    
    Problem: nothing provides libcapi20.so.3()(64bit) needed by wine-2.16-690.3.x86_64
     Solution 1: do not install wine-2.16-690.3.x86_64
     Solution 2: break wine-2.16-690.3.x86_64 by ignoring some of its dependencies
    
    
    According to Yast I have libcapi20-3-debuginfo (both 64 and 32bit version) packages installed. Yast does no show those specific files, Terminal command "zypper in libcapi20-3-64bit" doesn't find any provider

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,854
    Blog Entries
    14

    Default Re: Wine not installing

    Disable that Wine repo. The version TW ships is new enough and doesn't have these issues.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Re: Wine not installing

    Quote Originally Posted by Knurpht View Post
    Disable that Wine repo. The version TW ships is new enough and doesn't have these issues.
    Thanks but without that repo there is no "provider"and nothing happens.

  6. #6
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Re: Wine not installing

    Quote Originally Posted by Knurpht View Post
    Disable that Wine repo. The version TW ships is new enough and doesn't have these issues.
    Hi Knurpht,
    TW has 2 packacges installed, q4wine-debuginfo and q4wine-debugsource versions 1.3.5-1.2. Is the installation with the help of these files?

  7. #7

    Default Re: Wine not installing

    Quote Originally Posted by SimoKJ View Post
    Repo list is:
    Code:
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    # | Alias               | Name                                        | Enabled | GPG Check | Refresh | Priority | Typ
    e   | URI                                                                                  | Service
    --+---------------------+---------------------------------------------+---------+-----------+---------+----------+----
    ----+--------------------------------------------------------------------------------------+--------
    1 | Packman             | Packman                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/                  |         
    2 | Wine                | Wine                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Tumbleweed/       |         
    3 | home_KAMiKAZOW      | KAMiKAZOW's Home Project (openSUSE_Factory) | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/home:/KAMiKAZOW/openSUSE_Factory/          |         
    4 | home_basex_opensuse | BaseX openSUSE Build (openSUSE_Tumbleweed)  | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/repositories/home:/basex:/opensuse/openSUSE_Tumbleweed/ |         
    5 | openSUSE-20170328-0 | openSUSE-20170328-0                         | No      | ----      | ----    |   99     | yas
    t2  | http://download.opensuse.org/tumbleweed/repo/oss/                                    |         
    6 | repo-debug          | openSUSE-Tumbleweed-Debug                   | Yes     | (r ) Yes  | Yes     |   99     | yas
    t2  | http://download.opensuse.org/debug/tumbleweed/repo/oss/                              |         
    7 | repo-non-oss        | openSUSE-Tumbleweed-Non-Oss                 | Yes     | (r ) Yes  | Yes     |   99     | yas
    t2  | http://download.opensuse.org/tumbleweed/repo/non-oss/                                |         
    8 | repo-source         | openSUSE-Tumbleweed-Source                  | No      | ----      | ----    |   99     | NON
    E   | http://download.opensuse.org/source/tumbleweed/repo/oss/                             |         
    9 | repo-update         | openSUSE-Tumbleweed-Update                  | Yes     | (r ) Yes  | Yes     |   99     | rpm
    -md | http://download.opensuse.org/update/tumbleweed/      
    
    You disabled the main Tumbleweed repo, so it's no wonder that certain (or actually most) packages are not found...
    Enable it again:
    Code:
    sudo zypper mr -e 5

    Sure it's a 64bit system. CrossOver should run also on that.
    Of course it should run, but there are no -32bit packages on a 32bit system, that's why I asked.
    Last edited by wolfi323; 06-Sep-2017 at 04:22.

  8. #8
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Re: Wine not installing

    Thanks.
    It's getting quite confusing. Last summer I upgraded TW to version 20170702 (proposed by the system). Since then the repo http://download.opensuse.org/tumbleweed/repo/oss/ has not been working (just got some error messages). Didn't think more about it because the system kept running.

    I tried to fix the main repo following your advise as well as through Yast. Does not work!
    Yast says that my Suse package signing key <build@suse.de> has expired (05/03/2014). Is that inrelevant? I installed TW (2016 -17).

    I also checked the repos from https://en.opensuse.org/openSUSE:Tumbleweed_upgrade. They don't work. For example I tried to fix/reinstall the debug repo. There is non as in my previous repo list and the system does not recognize the one proposed in earlier www-page.

    I've tried to check the valid repos, but can not be sure which are the right ones.

    Any advise, how to fix the problems?

    br. Simo

  9. #9

    Default Re: Wine not installing

    Quote Originally Posted by SimoKJ View Post
    Thanks.
    It's getting quite confusing. Last summer I upgraded TW to version 20170702 (proposed by the system). Since then the repo http://download.opensuse.org/tumbleweed/repo/oss/ has not been working (just got some error messages).
    It worked in general, otherwise nobody would have been able to install or update Tumbleweed since then...

    Didn't think more about it because the system kept running.
    Of course it will keep running, but it won't be updated.
    Tumbleweed is a rolling distribution and changes all the time.

    And without the main repo, you won't be able to install new packages included in the distribution, as you noticed...

    I tried to fix the main repo following your advise as well as through Yast. Does not work!
    Yast says that my Suse package signing key <build@suse.de> has expired (05/03/2014). Is that inrelevant? I installed TW (2016 -17).
    What's the exact error message?
    Accept the new signing key, if the old one (on your system) has expired.

    Please note that the main server was down since yesterday (there have been some other threads about this), that might have contributed to your confusion.
    But the problems should be fixed now, so just try again.

    And if you encounter errors when enabling the repo, please post them.
    Last edited by wolfi323; 07-Sep-2017 at 10:21.

  10. #10
    Join Date
    May 2016
    Location
    Helsinki, Finland
    Posts
    62

    Default Re: Wine not installing

    Thanks,
    will try tm morning my time.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •